Logger (Gradle API 2.14.1)
Date: 2016-07-18

Package: org.gradle.api.logging

## [Java] Interface Logger

- An extension to the SLF4J `Logger` interface, which adds the `quiet` and `lifecycle` log levels.

  You can obtain a `Logger` instance using Logging.getLogger or Logging.getLogger. A `Logger` instance is also available through Project.getLogger, Task.getLogger and Script.getLogger.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `interface org.slf4j.Logger` | `ROOT_LOGGER_NAME`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `debug(String message, Object... objects)` Multiple-parameters friendly debug method
    `void` | `info(String message, Object... objects)` Logs the given message at info log level.
    `boolean` | `isEnabled(LogLevel level)` Returns true if the given log level is enabled for this logger.
    `boolean` | `isLifecycleEnabled()` Returns true if lifecycle log level is enabled for this logger.
    `boolean` | `isQuietEnabled()` Returns true if quiet log level is enabled for this logger.
    `void` | `lifecycle(String message)` Logs the given message at lifecycle log level.
    `void` | `lifecycle(String message, Object... objects)` Logs the given message at lifecycle log level.
    `void` | `lifecycle(String message, Throwable throwable)` Logs the given message at lifecycle log level.
    `void` | `log(LogLevel level, String message)` Logs the given message at the given log level.
    `void` | `log(LogLevel level, String message, Object... objects)` Logs the given message at the given log level.
    `void` | `log(LogLevel level, String message, Throwable throwable)` Logs the given message at the given log level.
    `void` | `quiet(String message)` Logs the given message at quiet log level.
    `void` | `quiet(String message, Object... objects)` Logs the given message at quiet log level.
    `void` | `quiet(String message, Throwable throwable)` Logs the given message at quiet log level.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface org.slf4j.Logger` | `org.slf4j.Logger#getName(), org.slf4j.Logger#debug(org.slf4j.Marker, java.lang.String, [Ljava.lang.Object;), org.slf4j.Logger#debug(org.slf4j.Marker, java.lang.String, java.lang.Object, java.lang.Object), org.slf4j.Logger#debug(java.lang.String), org.slf4j.Logger#debug(org.slf4j.Marker, java.lang.String, java.lang.Throwable), org.slf4j.Logger#debug(org.slf4j.Marker, java.lang.String), org.slf4j.Logger#debug(org.slf4j.Marker, java.lang.String, java.lang.Object), org.slf4j.Logger#debug(java.lang.String, java.lang.Throwable), org.slf4j.Logger#debug(java.lang.String, [Ljava.lang.Object;), org.slf4j.Logger#debug(java.lang.String, java.lang.Object, java.lang.Object), org.slf4j.Logger#debug(java.lang.String, java.lang.Object), org.slf4j.Logger#error(org.slf4j.Marker, java.lang.String), org.slf4j.Logger#error(org.slf4j.Marker, java.lang.String, java.lang.Object), org.slf4j.Logger#error(org.slf4j.Marker, java.lang.String, java.lang.Object, java.lang.Object), org.slf4j.Logger#error(org.slf4j.Marker, java.lang.String, [Ljava.lang.Object;), org.slf4j.Logger#error(org.slf4j.Marker, java.lang.String, java.lang.Throwable), org.slf4j.Logger#error(java.lang.String), org.slf4j.Logger#error(java.lang.String, java.lang.Object), org.slf4j.Logger#error(java.lang.String, java.lang.Object, java.lang.Object), org.slf4j.Logger#error(java.lang.String, [Ljava.lang.Object;), org.slf4j.Logger#error(java.lang.String, java.lang.Throwable), org.slf4j.Logger#info(org.slf4j.Marker, java.lang.String, [Ljava.lang.Object;), org.slf4j.Logger#info(java.lang.String, [Ljava.lang.Object;), org.slf4j.Logger#info(java.lang.String, java.lang.Object, java.lang.Object), org.slf4j.Logger#info(java.lang.String, java.lang.Object), org.slf4j.Logger#info(org.slf4j.Marker, java.lang.String, java.lang.Object, java.lang.Object), org.slf4j.Logger#info(org.slf4j.Marker, java.lang.String), org.slf4j.Logger#info(org.slf4j.Marker, java.lang.String, java.lang.Object), org.slf4j.Logger#info(java.lang.String, java.lang.Throwable), org.slf4j.Logger#info(org.slf4j.Marker, java.lang.String, java.lang.Throwable), org.slf4j.Logger#info(java.lang.String), org.slf4j.Logger#warn(java.lang.String, [Ljava.lang.Object;), org.slf4j.Logger#warn(java.lang.String, java.lang.Object), org.slf4j.Logger#warn(java.lang.String, java.lang.Object, java.lang.Object), org.slf4j.Logger#warn(org.slf4j.Marker, java.lang.String, java.lang.Throwable), org.slf4j.Logger#warn(org.slf4j.Marker, java.lang.String, [Ljava.lang.Object;), org.slf4j.Logger#warn(org.slf4j.Marker, java.lang.String, java.lang.Object, java.lang.Object), org.slf4j.Logger#warn(org.slf4j.Marker, java.lang.String, java.lang.Object), org.slf4j.Logger#warn(org.slf4j.Marker, java.lang.String), org.slf4j.Logger#warn(java.lang.String, java.lang.Throwable), org.slf4j.Logger#warn(java.lang.String), org.slf4j.Logger#isErrorEnabled(), org.slf4j.Logger#isErrorEnabled(org.slf4j.Marker), org.slf4j.Logger#isTraceEnabled(org.slf4j.Marker), org.slf4j.Logger#isTraceEnabled(), org.slf4j.Logger#trace(java.lang.String, java.lang.Throwable), org.slf4j.Logger#trace(org.slf4j.Marker, java.lang.String), org.slf4j.Logger#trace(java.lang.String, java.lang.Object), org.slf4j.Logger#trace(java.lang.String, java.lang.Object, java.lang.Object), org.slf4j.Logger#trace(java.lang.String), org.slf4j.Logger#trace(java.lang.String, [Ljava.lang.Object;), org.slf4j.Logger#trace(org.slf4j.Marker, java.lang.String, java.lang.Object, java.lang.Object), org.slf4j.Logger#trace(org.slf4j.Marker, java.lang.String, [Ljava.lang.Object;), org.slf4j.Logger#trace(org.slf4j.Marker, java.lang.String, java.lang.Throwable), org.slf4j.Logger#trace(org.slf4j.Marker, java.lang.String, java.lang.Object), org.slf4j.Logger#isDebugEnabled(org.slf4j.Marker), org.slf4j.Logger#isDebugEnabled(), org.slf4j.Logger#isInfoEnabled(org.slf4j.Marker), org.slf4j.Logger#isInfoEnabled(), org.slf4j.Logger#isWarnEnabled(), org.slf4j.Logger#isWarnEnabled(org.slf4j.Marker)`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public void debug(String message, Object... objects)

      Multiple-parameters friendly debug method

      Parameters:
        `message` - the log message
        `objects` - the log message parameters

    - #### public void info(String message, Object... objects)

      Logs the given message at info log level.

      Parameters:
        `message` - the log message.
        `objects` - the log message parameters.

    - #### public boolean isEnabled(LogLevel level)

      Returns true if the given log level is enabled for this logger.

    - #### public boolean isLifecycleEnabled()

      Returns true if lifecycle log level is enabled for this logger.

    - #### public boolean isQuietEnabled()

      Returns true if quiet log level is enabled for this logger.

    - #### public void lifecycle(String message)

      Logs the given message at lifecycle log level.

      Parameters:
        `message` - the log message.

    - #### public void lifecycle(String message, Object... objects)

      Logs the given message at lifecycle log level.

      Parameters:
        `message` - the log message.
        `objects` - the log message parameters.

    - #### public void lifecycle(String message, Throwable throwable)

      Logs the given message at lifecycle log level.

      Parameters:
        `message` - the log message.
        `throwable` - the exception to log.

    - #### public void log(LogLevel level, String message)

      Logs the given message at the given log level.

      Parameters:
        `level` - the log level.
        `message` - the log message.

    - #### public void log(LogLevel level, String message, Object... objects)

      Logs the given message at the given log level.

      Parameters:
        `level` - the log level.
        `message` - the log message.
        `objects` - the log message parameters.

    - #### public void log(LogLevel level, String message, Throwable throwable)

      Logs the given message at the given log level.

      Parameters:
        `level` - the log level.
        `message` - the log message.
        `throwable` - the exception to log.

    - #### public void quiet(String message)

      Logs the given message at quiet log level.

      Parameters:
        `message` - the log message.

    - #### public void quiet(String message, Object... objects)

      Logs the given message at quiet log level.

      Parameters:
        `message` - the log message.
        `objects` - the log message parameters.

    - #### public void quiet(String message, Throwable throwable)

      Logs the given message at quiet log level.

      Parameters:
        `message` - the log message.
        `throwable` - the exception to log.